/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 02/11/2017
 --------------------------------------------------------
*/
package com.portofolio.controller;

import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.context.annotation.Lazy;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

import com.portofolio.base.LocaleController;
import com.portofolio.dto.ProfileDto;
import com.portofolio.service.ProfileService;
import com.portofolio.util.RestUtil;

import io.swagger.annotations.ApiOperation;

@SuppressWarnings("rawtypes")
@Lazy
@RestController
@RequestMapping("/profile")
public class ProfileController extends LocaleController {
	@Lazy
	@Autowired
	private ProfileService profileService;

	


	
	@ApiOperation("Api Untuk Update Profile")
	@PutMapping("/update")
	public ResponseEntity<Map<String, Object>> update(
			@RequestParam(value = "version", required = true) Integer version, 
			@Valid @RequestBody ProfileDto entity, HttpServletRequest request) {
		Map<String, Object> result = profileService.update(entity,version);
		return RestUtil.getJsonResponse(result);
	}


	
	@ApiOperation("Api Untuk Menampilkan Profile Berdasarkan kode")
	@GetMapping("/findByKdProfile")
	public ResponseEntity<Map<String, Object>> findByKdProfile() {
		Map<String, Object> result = profileService.findByKdProfile();
		return RestUtil.getJsonResponse(result);
	}

	
}
